//
//  GiphyRequest.swift
//  LiveLikeGiphyChallenge
//
//  Created by Arbnor Tefiki on 6.2.22.
//

import Foundation

struct GiphyRequest {
  enum FetchType: String {
    case search
    case trending
  }

  let limit: Int = 20
  var searchTerm: String
  var requestType: FetchType
  var page: Int
  var offset: Int {
    return page * limit
  }
  var urlPath: String {
    return requestType.rawValue
  }
}
